.t009-header-001-v2 .top-brand-letter,
.t009-header-001-v2 .custom-brand-letter,
.t009-master-header-001-v2 .top-brand-letter,
.t009-master-header-001-v2 .custom-brand-letter,
.t009-footer-001-v2 .bottom-brand-letter,
.t009-footer-001-v2 .custom-brand-letter,
.t009-header-001 .top-brand-letter,
.t009-header-001 .custom-brand-letter,
.t009-master-header-001 .top-brand-letter,
.t009-master-header-001 .custom-brand-letter,
.t009-footer-001 .bottom-brand-letter,
.t009-footer-001 .custom-brand-letter  {
    font-family: 'Monoton', sans-serif;
}

.block-layout.block-layout .weblet_blog-entry-heading,
.block-layout.block-layout :not(label).title {
    font-family:var(--custom-title-font-family, var(--title-font-family));
    font-size: var(--title-size, var(--text-size8));
    text-transform: var(--title-case);
    font-weight:var(--title-weight);
    font-style:var(--title-style);
    letter-spacing:var(--title-spacing);
}

.block-layout.block-layout .text p {
    font-weight:var(--base-weight);
}

.block-layout.block-layout .sub-title {
    font-family:var(--custom-sub-title-font-family, var(--sub-title-font-family));
    font-size: var(--sub-title-size, var(--text-size3));
    text-transform: var(--sub-title-case);
    font-weight:var(--sub-title-weight);
    font-style:var(--sub-title-style);
    letter-spacing:var(--sub-title-spacing);
}

.block-layout .box-form .form-buttons .label,
.block-layout .button-list label,
.block-layout .idx-basic-control label.title {
    font-family: var(--custom-button-font-family, var(--button-font-family));
    text-transform: var(--button-case);
    font-weight: var(--button-weight);
    font-style: var(--button-style);
    letter-spacing: var(--button-spacing);
}

body.blocks-site {
    font-family:var(--custom-base-font-family, var(--body-font-family));
} 

.block-layout .title-reverse .sub-title {
    margin-bottom:0;
}

.block-layout.inverted .has-bg-color:not(.has-dark-bg) .text a,
.block-layout .text a {
    color: var(--link-color-light, var(--g-accent-color));
}
.block-layout .has-dark-bg .text a,
.block-layout.inverted .text a {
    color: var(--link-color-dark, var(--g-accent-color));
}

/* GLOBAL BUTTONS STYLING */

/* filled */

.bts-filled .block-layout .button-list:not(.icon-only) .default-style {
    background-color: var(--fl-button-bg-color, var(--panel-color, var(--g-accent-color)));
    border-color: transparent;
}

.bts-filled .block-layout .button-list:not(.icon-only) .default-style label {
    color: var(--fl-button-label-color,var(--g-inverted-text-color));
}

/* filled with accent-bg */

.bts-filled .block-layout.accent-bg .button-list:not(.icon-only) .default-style {
    background-color: var(--fl-button-bg-color,var(--panel-color,var(--g-inverted-text-color)));
}

.bts-filled .block-layout.accent-bg .button-list:not(.icon-only) .default-style label {
    color: var(--fl-button-label-color,var(--g-accent-color));
}

/* plain */

.bts-plain .block-layout .button-list:not(.icon-only) .default-style {
    padding: 0;
    background: none;
    border-radius: 0;
}

.bts-plain .block-layout .button-list:not(.icon-only) .default-style label {
    color: var(--fl-button-label-color,var(--g-accent-color));
}

/* plain with accent-bg or inverted */

.bts-plain .block-layout .button-list:not(.icon-only) .default-style {
    padding: 0;
    background: none;
    border:none;
}

.bts-plain .block-layout.accent-bg .button-list:not(.icon-only) .default-style label,
.bts-plain .block-layout.inverted .button-list:not(.icon-only) .default-style label {
    color: var(--fl-button-label-color, var(--g-inverted-text-color));
} 


/* SHALLOW BLOCK BASE TITLES */

.block-layout.shallow-block .titles + .text {
    margin-top: 1rem;
}
.shallow-block .sub-title,
.shallow-block .title {
    margin-bottom: 1rem;
}
.shallow-block .sub-title {
    font-size: var(--text-small);
    letter-spacing: 0.1rem;
    /* line-height: 1; */
}
.shallow-block .sub-title:not(.text-size) {
    font-size: var(--text-small);
}
.shallow-block .title-underline .sub-title {
    line-height: 1.5;
}
.shallow-block .title-underline .title:after {
    content: "";
    width: 8rem;
    height: 2px;
    background-color: var(--title-underline-color, var(--g-accent-color));
    display: block;
    margin-top: 1rem;
}
.shallow-block .title-reverse {
    display: flex;
    flex-direction: column-reverse;
}
.shallow-block .title-underline .title.title[style*="center"]::after,
.shallow-block .content-center .title-underline .title:after {
    margin-left: auto;
    margin-right: auto;
}
.shallow-block .title-underline .title.title[style*="right"]::after,
.shallow-block .content-right .title-underline .title:after {
    margin-left: auto;
    margin-right: 0;
}
.shallow-block .title-underline .title.title[style*="left"]::after,
.shallow-block .content-left .title-underline .title:after {
    margin-left: 0;
    margin-right: auto;
}

/* SHALLOW BLOCK BASE CONTENT ALIGNMENT */
.shallow-block .image-container,
.shallow-block .title,
.shallow-block .content-left .image-container,
.shallow-block .content-left .title,
.shallow-block .content-left {
    text-align: left;
}
.shallow-block .content-left .button-list {
    justify-content: flex-start;
}
.shallow-block .content-center .image-container,
.shallow-block .content-center .title,
.shallow-block .content-center {
    text-align: center;
}
.shallow-block .content-center .button-list {
    justify-content: center;
}
.shallow-block .content-right .image-container,
.shallow-block .content-right .title,
.shallow-block .content-right {
    text-align: right;
}
.shallow-block .content-right .button-list {
    justify-content: flex-end;
}


/* Global fix for banner button color */

.t009-header-001-v2.t009-header-001-v2 .social-container {
    position: relative;
    right:auto;
    display: flex;
    bottom:auto;
    margin-top:1rem;
}

.t009-header-001-v2.t009-header-001-v2 .social-container {
    width: auto;
}

.t009-master-header-001-v2.t009-master-header-001-v2 .social-container {
    display: none;
}

.t009-header-001-v2.t009-header-001-v2 .button-container .button-list {
    margin:0;
}


.t009-header-001-v2.t009-header-001-v2 .panel-content {
    margin-top:6rem;
}


/* fix for call to action link spacing */

.t009-search-box-001-v2 .search-container a {
    margin-top:1rem;
}

/* CONENT PACKAGE FIX */

.title-100.title-100 .title {
    padding:0;
}

/* FIX FOR MENU TEXT COLORS */

.t009-header-001-v2.t009-header-001-v2 .agent-branding,
.t009-header-001-v2.t009-header-001-v2 nav .mrp-menu-level-0 > li > a,
.t009-header-001-v2.t009-header-001-v2 nav .mrp-menu-level-0 > li > span,
.t009-header-001-v2.t009-header-001-v2 .content,
.t009-master-header-001-v2.t009-master-header-001-v2 .agent-branding,
.t009-master-header-001-v2.t009-master-header-001-v2 nav .mrp-menu-level-0 > li > a,
.t009-master-header-001-v2.t009-master-header-001-v2 nav .mrp-menu-level-0 > li > span {
    color: var(--panel-color, #fff);
}

.t009-header-001-v2.t009-header-001-v2 nav .mrp-menu-level-0 > li > a:hover,
.t009-header-001-v2.t009-header-001-v2 nav .mrp-menu-level-0 > li > span:hover {
    border-color: var(--panel-color, #fff);
}
